| Home | Libraries | People | FAQ | More

## Struct template deleter_types

boost::move_upd::deleter_types

## Synopsis

    // In header: <boost/move/unique_ptr.hpp>

    template<typename D>
    struct deleter_types {
      // types
      typedef bmupmu::add_lvalue_reference< D >::type                                    del_ref;
      typedef bmupmu::add_const_lvalue_reference< D >::type                              del_cref;
      typedef bmupmu::if_c< bmupmu::is_lvalue_reference< D >::value, D, del_cref >::type deleter_arg_type1;
      typedef bmupmu::remove_reference< D >::type &&                                     deleter_arg_type2;
    };